Skip to main content
POST
/
payments
/
transactions
/
{id}
/
capture
Capture a payment transaction
curl --request POST \
  --url https://api-sb.meld.io/payments/transactions/{id}/capture \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "sourceAmount": 1
}
'
import requests

url = "https://api-sb.meld.io/payments/transactions/{id}/capture"

payload = {
"description": "<string>",
"sourceAmount": 1
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', sourceAmount: 1})
};

fetch('https://api-sb.meld.io/payments/transactions/{id}/capture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transaction": {
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "serviceProvider": "<string>",
    "sessionId": "<string>",
    "status": "<string>",
    "transactionType": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "accountId": "<string>",
    "countryCode": "<string>",
    "cryptoDetails": {
      "blockchainTransactionId": "<string>",
      "chainId": "<string>",
      "institution": "<string>",
      "networkFee": 123,
      "networkFeeInUsd": 123,
      "offrampDestinationWalletAddress": "<string>",
      "partnerFee": 123,
      "partnerFeeInUsd": 123,
      "swapFee": 123,
      "swapFeeInUsd": 123,
      "totalFee": 123,
      "totalFeeInUsd": 123,
      "transactionFee": 123,
      "transactionFeeInUsd": 123,
      "walletAddress": "<string>"
    },
    "customer": {
      "accountId": "<string>",
      "addresses": [
        {
          "addressDetails": {
            "city": "<string>",
            "country": "<string>",
            "firstName": "<string>",
            "lastName": "<string>",
            "lineOne": "<string>",
            "lineTwo": "<string>",
            "postalCode": "<string>",
            "region": "<string>"
          }
        }
      ],
      "email": "<string>",
      "externalId": "<string>",
      "id": "<string>",
      "name": {
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "phone": "<string>",
      "serviceProviders": {},
      "status": "<string>"
    },
    "description": "<string>",
    "destinationAmount": 123,
    "destinationCurrencyCode": "<string>",
    "externalCustomerId": "<string>",
    "externalReferenceId": "<string>",
    "externalSessionId": "<string>",
    "externalSubaccountCustomerId": "<string>",
    "fiatAmountInUsd": 123,
    "isImported": true,
    "isPassthrough": true,
    "key": "<string>",
    "multiFactorAuthorizationStatus": [
      {
        "submitted": true,
        "successful": true,
        "url": "<string>"
      }
    ],
    "orderId": "<string>",
    "parentPaymentTransactionId": "<string>",
    "passthroughReference": "<string>",
    "paymentDetails": {
      "authAmount": 123,
      "captureAmount": 123
    },
    "paymentMethodType": "<string>",
    "serviceProviderCreatedAt": "2023-11-07T05:31:56Z",
    "serviceProviderDetails": {},
    "serviceProviderTransactionUrl": "<string>",
    "serviceTransactionId": "<string>",
    "sessionClientTags": {},
    "sourceAmount": 123,
    "sourceCurrencyCode": "<string>",
    "subaccountCustomerId": "<string>"
  }
}
{
"code": "<string>",
"displayMessage": "<string>",
"errors": [
"<string>"
],
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {},
"timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Headers

X-Idempotency-Key
string<uuid>
Meld-Passthrough-Reference
string
Meld-Passthrough-Key-Id
string
Meld-Passthrough-Key-Public
string
Meld-Passthrough-Key-Private
string
Meld-Passthrough-Oauth
string

Path Parameters

id
string
required

Unique identifier for this transaction

Minimum string length: 1

Body

application/json
description
string
sourceAmount
number

If not provided then the entire Authorization amount will be captured.

Required range: x >= 0

Response

Payment captured

transaction
object

Payment transaction information